## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Git submodules
%global singleapplication_commit f1e15081dc57a9c03f7f4f165677f18802e1437a
%global singleapplication_shortcommit %(c=%{singleapplication_commit}; echo ${c:0:7})

Name: kdiskmark
Version: 3.1.3
Release: %autorelease
Summary: Simple open-source disk benchmark tool for Linux distros

License: GPLv3+
URL: https://github.com/JonMagon/KDiskMark
Source0: %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Source1: https://github.com/itay-grudev/SingleApplication/archive/%{singleapplication_commit}/singleapplication-%{singleapplication_shortcommit}.tar.gz

### For next releases
# BuildRequires: libappstream-glib

BuildRequires: cmake >= 3.12
BuildRequires: cmake(PolkitQt5-1)
BuildRequires: cmake(Qt5Core) >= 5.9
BuildRequires: cmake(Qt5LinguistTools)
BuildRequires: cmake(Qt5Widgets)

BuildRequires: desktop-file-utils
BuildRequires: extra-cmake-modules
BuildRequires: gcc-c++

Requires: fio%{?_isa} >= 3.1
Requires: fio-engine-libaio%{?_isa}
Requires: hicolor-icon-theme

Provides: bundled(singleapplication) = 3.3.4

%description
KDiskMark is an HDD and SSD benchmark tool with a very friendly graphical user
interface. KDiskMark with its presets and powerful GUI calls Flexible I/O
Tester and handles the output to provide an easy to view and interpret
comprehensive benchmark result.


%prep
%autosetup -n KDiskMark-%{version}
%autosetup -n KDiskMark-%{version} -DT -a1

mv SingleApplication-%{singleapplication_commit}/* src/singleapplication/


%build
%cmake
%cmake_build


%install
%cmake_install


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/dbus-1/system.d/*.conf
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/polkit-1/actions/*.policy
%{_libexecdir}/kdiskmark_helper


%changelog
* Sat Apr 15 2023 Artem Polishchuk <ego.cordatus@gmail.com> 3.1.3-1
- chore: Update to 3.1.3

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 3.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Sep 16 2022 Artem Polishchuk <ego.cordatus@gmail.com> 3.1.2-1
- chore(update): 3.1.2

* Fri Sep 09 2022 Artem Polishchuk <ego.cordatus@gmail.com> 3.1.1-1
- chore(update): 3.1.1

* Wed Sep 07 2022 Artem Polishchuk <ego.cordatus@gmail.com> 3.1.0-1
- chore(update): 3.1.0

* Thu Aug 25 2022 Artem Polishchuk <ego.cordatus@gmail.com> 3.0.0-1
- chore(update): 3.0.0

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Mar 16 2022 Alastor Tenebris <livingnightmare@thelivingnightmare.xyz> - 2.3.0-3
- Add fio-engine-libaio to dependencies

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Oct 31 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.0-1
- chore(update): 2.3.0

* Thu Jul 22 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.1-1
- build(update): 2.2.1

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Feb 19 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.0-1
- build(update): 2.2.0

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Dec 30 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.0-1
- build(update): 2.1.0

* Sat Oct 24 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.0.0-1
- build(update): 2.0.0

* Wed Oct  7 20:58:18 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.2-2
- build: remove 20px icon version

* Sun Oct  4 13:55:31 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.2-1
- Initial package

